Version="3.2.14-op5.1"


# validates a user (somehow, I think '*' should be mentioned as well)
function validate_user () {
	test -f "$cgi_cfg" || file_missing "$cgi_cfg"
	authed_users=`grep authorized_for_system_commands $cgi_cfg |\
		grep -v "^#" | cut -b32-`
	test "$authed_users" = "*" && return 0
	test -z "$authed_users" && return 0
	echo "$authed_users" | grep "$REMOTE_USER" >& /dev/null && return 0

	non_authorized
	exit 0
}

function file_missing {
	echo "It appears as if the file <b>${1}</b> is missing.<br />"
	echo "This is a vital file, so proceeding without it is impossible<br />"
	html_end
	exit 0
}

function non_authorized () {
cat << EOF
<p><br /><table width=60% align=center>
<tr><td>
You are not permitted to make alterations to the system configuration.
</b>Note that your username needs to be mentioned on the line containing</b>
<i>'authorized_for_system_commands'</i> in $HOME/etc/cgi.cfg</p>
EOF
	html_end
	exit 1
}

# gets the post data and assigns them to the names supplied by the forms
function get_post_data () {
	eval `sed s/\&/\ /g | ./fixascii`
}

function monitor_cmd () {
	/etc/rc.d/init.d/monitor $1
	return $?
}

function html_start () {
	validate_user
	shift
cat << EOF
Content-type: text/html

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="Content-type" content="application/xhtml+xml; charset=iso-8859-1" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Pragma-directive" content="no-cache" />
		<meta http-equiv="Cache-directive" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<title> op5 Monitor &raquo; $@ </title>
		<link rel="stylesheet" type="text/css" href="/monitor/css/common.css" />
	</head>

	<body>

EOF
	return 0
}


function html_end () {
cat << EOF
</body></html>
EOF
}

function html_end2 () {
cat << EOF
</body></html>
EOF
}

function html_end2_old () {
cat << EOF
 </body></html>
EOF
}


function html_start2 () {
#	validate_user
#	shift
user=$REMOTE_USER
date_str=`date "+%a %d %b %H:%M:%S %Z %Y"`

cat << EOF
Content-type: text/html

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="Content-type" content="application/xhtml+xml; charset=iso-8859-1" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Pragma-directive" content="no-cache" />
		<meta http-equiv="Cache-directive" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<title> op5 Monitor &raquo; Backup / Restore </title>
		<link rel="stylesheet" type="text/css" href="/monitor/css/common.css" />
	</head>

	<body>


EOF
	return 0
}
