#!/bin/bash
#
# This script is the intellectual (??) property of OP5 AB
# Copyright infringements will be pursued.

# source in configuration and functions
. config.env
. functions.sh

html_start2
validate_user

cat << EOF

EOF

# constants
# paths and filenames. $1 should always be the name of a correct file
# since this berhacker script hands it to us.
tarball=$1

# commands to extract / create gzipped tarballs
extract="tar xvzPf"
#helpscript_path="/opt/monitor/op5/backup/restore_helper.pl"

# check if we were given a filename, and if so, extract it
if [ -n "$tarball" ]; then
	# tarball is non-zero, is it readable?
	if [ -s "$path/$tarball" ]; then
		# yes. Extract it
		printf "<font size=3>\n";
		printf "Extracting files from $tarball.<br />"
		printf "Please be patient.<br /><br />"
		cd / >& /dev/null

		# Using a wrapper (written in c) that makes suid possible
		# Needed since some files in etc have wrong permissions.
		/opt/monitor/op5/backup/restore $path/$tarball >& /dev/null

		ret1=$?
		$verifycommand >& /dev/null
		ret2=$?
		ret=$((ret1+ret2))

		if [ $ret -gt 0 ]; then # monitor config checkout failed
cat << EOF
<font size=3>
Verification or extraction failed!<font size=3><br /><br />
This means that the configuration files you just restored are
nonfunctional.<br />
Try rerunning 'restore' with a different backup file.<br /><p>
Should the problem persist, please contact $support.
EOF
		else
time=`date +%s`

((time2 = $time + 2 ))
cat << EOF
<tr><td>
<font size=3>

No problems were detected during restoration.<br />
The restored configuration is now loaded.<br />
</td></tr></table>
EOF
echo "[$time] RESTART_PROGRAM;$time2" >> /opt/monitor/var/rw/nagios.cmd
`touch /opt/monitor/etc/misccommands.cfg`
cat << EOF
<tr><td><br /><br />

EOF
html_end2
		fi # if ret
		exit 0
	else
		# got an argument, but file wasn't there.
cat << EOF
<font size=3>
File not found!<font size=2><br /><br />
Either someone has deleted it before you clicked the last link,
or this is an internal error.<br />
If it IS an internal error, contact $support so that we can fix the problem.
EOF
	exit 0
	fi # if [ -s "$path/$tarball" ] ...
fi # if [ -n "$tarball" ] ...

# we were called without an argument, so supply the user with a selection of
# backups to revert to.
cat << EOF
<h2>Restore configuration</h2>
<p>Click any of the files to restore a previous configuration.<br />
The numbers in the filename represents yymmdd.hh.mm,
to help you keep track of the backups made.
</p>
<ul>
EOF

c=0
for i in `find $path -type f -name "*$postfix" | sort -r` ; do
	c=$((c+1))
	f=`echo $i | sed "s:/var/www/html/backup/::"`
    echo "<li><a href=\"restore.cgi?$f\">$f</a></li>"
done

if [ $c -eq 0 ]; then
	printf "<cite>No backups found.<cite>\n"
	printf "<a href=\"verify.cgi\">"
	printf "It is stronly suggested you make one.</a>\n"
fi

printf "</ul>"

html_end2
