#!/bin/bash
#
# This script is intellectual (??) property of OP5 AB
# Copyright infringements will be pursued.
#
# Just a quick hack to alert admins to the fact that they might not have a
# working monitor configuration running, before they backup, or restore.

# source in configuration and functions
. config.env
. functions.sh

# First we gotta keep Apache happy though...
#cat << EOF
#Content-type: text/html

#<html><head><title>verify.cgi</title></head><body>
#<h4><p><br /><p><br />
html_start2
cat << EOF
<h2>Backup / Restore</h2>
<p><strong>Running preflight check on current configuration.</strong></p>
EOF
# run preflight check, preserve output, and take actions.
$verifycommand >& $msgfile
ret=$?
if [ $ret -gt 0 ]; then
cat << EOF
<p><strong><em>Preflight check failed!</em></strong><br />
Do you wish to:

<ul>
	<li><a href="restore.cgi">Restore a functioning configuration</a> (recommended)</li>
	<li><a href="backup.cgi">Back up a flawed configuration</a></li>
</ul>
EOF
else
cat << EOF
<p>
Preflight check ok, all is well.<br />
Do you wish to:</p>

<ul style="margin-top: -14px">
	<li><a href="backup.cgi">Back up your perfectly good configuration</a> (recommended)</li>
	<li><a href="restore.cgi">Restore an older configuration</a></li>

EOF
fi
# strip the path
msgfile="${msgfile##*/}"
cat << EOF

	<li><a href="/backup/${msgfile}">See the results of the preflight check</a></li>
	<li><a href="dirlist.cgi">View a list of all backups made</a></li>
</ul>

note: This is not a full backup of op5 Monitor or your system. This backup
includes configuration, <br> status data and historical data for op5 Monitor. Do not
rely on this as your only source of backup. <br> It is recommended to regulary
backup your system using a proper backup tool.

EOF

html_end2
